var nativeCeil = Math.ceil, nativeMax = Math.max;
function baseRange(n, r, i, a) {
	for (var o = -1, s = nativeMax(nativeCeil((r - n) / (i || 1)), 0), c = Array(s); s--;) c[a ? s : ++o] = n, n += i;
	return c;
}
var _baseRange_default = baseRange;
export { _baseRange_default as default };
